Subject: Re: OF compatible MTD platform RAM driver ?

From: Segher Boessenkool <[email-masked]>
Date: Sun, 30 Mar 2008 20:15:46 +0200

>> Could we agree on a name ? I'd like to submit a new patch.
>
> For ROMs I think just plain "rom" should be sufficient.

Yes.

> For RAMs we
> need something to indicate that it's memory but intended for secondary
> storage, not as main memory.

How it is intended to be used is not a property of the hardware, so
that information doesn't belong in the device tree at all.  The Linux
platform code should handle this, I imagine.

Segher